=== debian/changelog ===
ros-melodic-laser-scan-densifier (0.7.4-1stretch) stretch; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 13 Oct 2020 22:00:00 -0000

ros-melodic-laser-scan-densifier (0.7.3-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-laser-scan-densifier (0.7.2-1stretch) stretch; urgency=high

  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Merge pull request #403 <https://github.com/ipa320/cob_driver/issues/403> from fmessmer/fix/compiler_warning
    fix format specifiers
  * clearer output for misconfiguration
  * fix format specifiers
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-laser-scan-densifier (0.7.1-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-laser-scan-densifier (0.7.0-1stretch) stretch; urgency=high

  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Felix Messmer

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-laser-scan-densifier (0.6.15-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jul 2019 22:00:00 -0000

ros-melodic-laser-scan-densifier (0.6.14-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-melodic-laser-scan-densifier (0.6.13-1stretch) stretch; urgency=high

  * Merge pull request #383 <https://github.com/ipa320/cob_driver/issues/383> from fmessmer/laser_densifier
    add laser scan densifier
  * support copy and interpolation mode
  * test interpolated densification
  * add laser_scan_densifier
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000
